vlr-owner-remove

Wyszukaj w słowniku

Dostępne słowniki:

TerminDefinicja
vlr-owner-remove
(vlr-owner-remove reaktor element)

Usuwa element z listy obsługiwanych przez reaktor

(vl-load-com)
(vl-load-reactors)

(defun ReactorNotify (notifier-object reactor-object param-list)
   (princ (vl-princ-to-string (vlax-get-property notifier-object 'radius ) ) )
   (alert (vl-princ-to-string (vlax-get-property notifier-object 'radius ) ) )
)

( defun DrawCircle ( / circle )
   (setq circle (vla-addCircle
      (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object) ) )
      (vlax-3d-point (getpoint "wskaż punkt") )
      30.0
   ) )
   (command "regen")
   circle
)

(defun c:utwórzReaktor()
   (setq *Reactor*
     (vlr-object-reactor (list (DrawCircle) ) "mycircle" '((:vlr-modified . ReactorNotify) ) )
   )
)

(defun C:DodajDoReaktora ( / )
   (setq circle (DrawCircle) )
   ( vlr-owner-add *Reactor* circle )
)

(defun C:UsuńZReaktora ( / )
  ( vlr-owner-remove *Reactor* circle )
)

Pokrewne tematy

vlr-object-reactor
vlr-owner-add

 

comments powered by Disqus